Name:           intel-compute-runtime-release
Version:        1
Release:        1%{dist}
Summary:        Intel Compute runtime repository configuration

Group:          System Environment/Base
License:        MIT

URL:            https://github.com/intel/compute-runtime
Source0:        https://copr-be.cloud.fedoraproject.org/results/jdanecki/intel-opencl/pubkey.gpg
Source1:        intel-compute-runtime.repo

BuildArch:      noarch

%description
This package contains the Intel Compute runtime repository
GPG key as well as configuration for yum.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build

%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-intel-compute-runtime-%{version}

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*

%changelog

